Resource Center/Network Resource/VPC Operations
GETVPC OperationsSince 0.6SynchronousAuth Required
QueryVpcRouter
QueryVpcRouter
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
This API requires no request parameters.
Responses
Endpoint
GET/zstack/v1/vpc/virtual-routers
/zstack/v1/vpc/virtual-routers
Request Example
curl -X GET 'http://{host}/zstack/v1/vpc/virtual-routers' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "inventories": [ { "dns": [ { "vpcRouterUuid": "4183325c367d384a84458f89c35d62a8", "dns": "8.8.8.8" } ], "uuid": "4183325c367d384a84458f89c35d62a8", "name": "Test-VM", "description": "web server VM", "zoneUuid": "77689ed989253db0bb5863b103e06ecd", "clusterUuid": "7f124c177f1535cebca9b0a555998e8e", "imageUuid": "9e0eaf2e7ea93bc0bfc9f22d3f7328cd", "hostUuid": "72547613a0bf320caca7a149d99e3ed4", "lastHostUuid": "9e54bc8261f6396db6c66eb8a76e246d", "instanceOfferingUuid": "e115b1542d2e35c8b9fbb5afd9fd067c", "rootVolumeUuid": "48afbfcc2d36391586f7b6b44df93712", "platform": "Linux", "defaultL3NetworkUuid": "70dc6311679638c0a1e323d583332463", "type": "UserVm", "hypervisorType": "KVM", "memorySize": 8.589934592E9, "cpuNum": 1.0, "allocatorStrategy": "LastHostPreferredAllocatorStrategy", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Running", "vmNics": [ { "uuid": "df1eae8361983c86a46d3d922ad0a6f4", "vmInstanceUuid": "4183325c367d384a84458f89c35d62a8", "usedIpUuid": "2bdc1a927ebb34f89a880d8aefc7c763", "l3NetworkUuid": "70dc6311679638c0a1e323d583332463", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "allVolumes": [ { "uuid": "48afbfcc2d36391586f7b6b44df93712", "name": "Root-Volume-For-VM-4183325c367d384a84458f89c35d62a8", "primaryStorageUuid": "a33d58803a2a307bb1762b9209e64ba2", "vmInstanceUuid": "4183325c367d384a84458f89c35d62a8", "diskOfferingUuid": "c762d59a3e6f36d89bff2ce3ea4b864c", "rootImageUuid": "9e0eaf2e7ea93bc0bfc9f22d3f7328cd", "installPath": "/Cloud_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-48afbfcc2d36391586f7b6b44df93712/48afbfcc2d36391586f7b6b44df93712.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } ] }Change History
This API has no change history records yet.
